org.apache.log4j.net

## Class XMLSocketNode

- java.lang.Object
- - org.apache.log4j.spi.ComponentBase
  - - org.apache.log4j.net.XMLSocketNode

- All Implemented Interfaces:
    Runnable, Component

      public class XMLSocketNode
      extends ComponentBase
      implements Runnable

  Read `LoggingEvent` objects sent from a remote client using XML over Sockets (TCP). These logging events are logged according to local policy, as if they were generated locally.

  For example, the socket node might decide to log events to a local file and also resent them to a second socket node.

  Since:
    0.8.4
  Author:
    Scott Deboy <sdeboy@apache.org>;

- - ### Field Summary

    - ### Fields inherited from class org.apache.log4j.spi.ComponentBase

      `repository`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLSocketNode(String decoder, Socket socket, org.apache.log4j.spi.LoggerRepository hierarchy)` Constructor for socket and logger repository.
    `XMLSocketNode(String decoder, Socket socket, Receiver receiver)` Constructor for socket and reciever.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`
    `void` | `setListener(SocketNodeEventListener _listener)` Set the event listener on this node.

    - ### Methods inherited from class org.apache.log4j.spi.ComponentBase

      `getLogger, getLoggerRepository, getNonFloodingLogger, resetErrorCount, setLoggerRepository`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLSocketNode

          public XMLSocketNode(String decoder,
                               Socket socket,
                               org.apache.log4j.spi.LoggerRepository hierarchy)

      Constructor for socket and logger repository.

    - #### XMLSocketNode

          public XMLSocketNode(String decoder,
                               Socket socket,
                               Receiver receiver)

      Constructor for socket and reciever.

  - ### Method Detail

    - #### setListener

          public void setListener(SocketNodeEventListener _listener)

      Set the event listener on this node.

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`

Copyright © 2002-2018 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache Chainsaw, Chainsaw, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.